<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("channe" . "ls" => base64_decode("Y2hhb" . "m5lbH" . "M="), "_aa7e860" . "da1acd4e" . "767e0df9" . "d7d40738" . "0" => base64_decode("ZGF0ZV" . "9jcmVh" . "dGVk"), "_49c48a113fcc4b94b82" . "e29c74e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyOmt" . "leQ=="), "i" . "d" => base64_decode("aW" . "Q="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bG" . "U="), "_4cabd5d7713c30b34f152bca7e16" . "cd6c" => base64_decode("bmV3c19mZWVkcw=" . "="), "_022eeb17ad2461a" . "772886fe0f557552" . "0" => base64_decode("Y3JlYXRvcg=" . "="), "_c0f286e93eb" . "dcaa427b44ec" . "29413392b" => base64_decode("ZmVlZF" . "9rZXk="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_49c48a113fcc4b94b82e" . "29c74e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4cabd5d7713c30b34f15" . "2bca7e16cd6c"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["tit" . "le"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["chan" . "nels"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c0f286e93ebdca" . "a427b44ec294133" . "92b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aa7e860d" . "a1acd4e76" . "7e0df9d7d" . "407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_022eeb17ad2461a772886" . "fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}